#ifndef _DMXTM_H_
#define _DMXTM_H_

#include "base.h"
#include "odbc.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifdef DB_PCWIN

#include <windows.h>
#define  XTM_EXPORT        __declspec(dllexport)

#else /* UNIX */

#include <stdio.h>
#include "sqlunix.h"
#define  XTM_EXPORT        

#endif

XTM_EXPORT int Xtm( char *xtmfile, char *xmlfile, 
													 char * msgBuffer, int szMsgBuffer);

XTM_EXPORT int XtmUP( 
													char * user, char * password, 
													char * xtmfile, char * xmlfile, 
													char * msgBuffer, int szMsgBuffer);

XTM_EXPORT int XtmH( 
													HDBC hdbc, 
													char * xtmfile, char * xmlfile, 
													char * msgBuffer, int szMsgBuffer);


#ifdef __cplusplus
}
#endif

#endif /* _DMXTM_H_ */

